<?php
$name        = $vars["key"];
$settings    = $vars["settings"];
$class       = rad_array_value("class", $settings); //Optional value
$placeholder = rad_array_value("placeholder", $settings); //Optional value
$label       = rad_array_value("label", $settings); //Optional value
$rows        = rad_array_value("rows", $settings); //Optional value
$cols        = rad_array_value("cols", $settings); //Optional value
if ($rows == "") {
    $rows = "10";
}

if ($cols == "") {
    $cols = "30";
}
?>

<div class="field textarea-input <?php echo esc_attr($class); ?>" data-name="<?php echo esc_attr($name); ?>">
	<?php if ($label != "") {?>
        <label for="field-<?php echo esc_attr($name); ?>"><?php echo esc_html($label); ?></label>
    <?php }?>
    <textarea name="<?php echo esc_attr($name); ?>" cols="<?php echo esc_attr($cols); ?>" rows="<?php echo esc_attr($rows); ?>" placeholder="<?php echo esc_attr($placeholder); ?>" ><?php echo esc_textarea($this->rad_GetValue($name)); ?></textarea>
</div>